package com.zhongzheng.modules.alioss.service;



import com.zhongzheng.modules.alioss.bo.OssRequest;
import com.zhongzheng.modules.alioss.vo.ResultBean;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.FileNotFoundException;
import java.util.Map;

public interface OssService {
    ResultBean getPolicy(OssRequest ossRequest);

    ResultBean callback(HttpServletRequest request);

    String upload(OssRequest base) throws Exception;

    String uploadBase64(String fileStr);

    void closeClient();
}
